"""Initial DB setup

Revision ID: 50c17aa478be
Revises: None
Create Date: 2015-09-08 13:55:27.934881

"""

# revision identifiers, used by Alembic.
revision = '50c17aa478be'
down_revision = None

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('profiles',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('first_name', sa.String(), nullable=True),
    sa.Column('last_name', sa.String(), nullable=True),
    sa.Column('gender', sa.Integer(), nullable=True),
    sa.Column('birthday', sa.Date(), nullable=True),
    sa.Column('address', sa.Text(), nullable=True),
    sa.Column('phone', sa.String(), nullable=True),
    sa.Column('email', sa.String(), nullable=True),
    sa.Column('web', sa.String(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_profiles_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_profiles_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('user_settings',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('settings', sa.Text(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('versions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('values', sa.Text(), nullable=False),
    sa.Column('author', sa.String(), nullable=False),
    sa.Column('date', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('usergroups',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_usergroups_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_usergroups_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('beneficiarys',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_postal', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_beneficiarys_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_beneficiarys_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('participants',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('forename', sa.String(), nullable=False),
    sa.Column('surname', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('birthname', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('address_postalcode', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('notes', sa.Text(), nullable=False),
    sa.Column('birthday', sa.Date(), nullable=False),
    sa.Column('gender', sa.Integer(), nullable=False),
    sa.Column('personal_id', sa.String(length=40), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_participants_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_participants_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('personal_id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('contacts',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(), nullable=False),
    sa.Column('first_name', sa.String(), nullable=False),
    sa.Column('last_name', sa.String(), nullable=False),
    sa.Column('organisation', sa.String(), nullable=False),
    sa.Column('role', sa.String(), nullable=False),
    sa.Column('birtday', sa.Date(), nullable=True),
    sa.Column('gender', sa.Integer(), nullable=True),
    sa.Column('postalcode', sa.String(), nullable=False),
    sa.Column('city', sa.String(), nullable=False),
    sa.Column('street', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('url', sa.String(), nullable=False),
    sa.Column('note', sa.Text(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_contacts_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_contacts_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('operations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_operations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_operations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('roles',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('label', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('admin', sa.Boolean(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_roles_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_roles_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('label'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('modules',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('clazzpath', sa.String(), nullable=False),
    sa.Column('label', sa.String(), nullable=False),
    sa.Column('label_plural', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('str_repr', sa.String(), nullable=False),
    sa.Column('display', sa.String(), nullable=False),
    sa.Column('default_gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['default_gid'], ['usergroups.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('clazzpath'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('projects',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('operation_id', sa.Integer(), nullable=True),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('objective_women_participation', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_projects_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['operation_id'], ['operations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_projects_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('organisations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_postal', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('beneficiary_id', sa.Integer(), nullable=True),
    sa.Column('entity_type', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['beneficiary_id'], ['beneficiarys.id'], ),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_organisations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_organisations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('users',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('login', sa.String(), nullable=False),
    sa.Column('password', sa.String(), nullable=False),
    sa.Column('activated', sa.Boolean(), nullable=True),
    sa.Column('activation_token', sa.String(), nullable=False),
    sa.Column('default_gid', sa.Integer(), nullable=True),
    sa.Column('sid', sa.Integer(), nullable=True),
    sa.Column('last_login', sa.DateTime(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['default_gid'], ['usergroups.id'], ),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_users_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['sid'], ['user_settings.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_users_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('login'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_beneficiary_contacts',
    sa.Column('beneficiary_id', sa.Integer(), nullable=True),
    sa.Column('contact_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['beneficiary_id'], [u'beneficiarys.id'], ),
    sa.ForeignKeyConstraint(['contact_id'], ['contacts.id'], )
    )
    op.create_table('nm_participant_versions',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('vid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'participants.id'], ),
    sa.ForeignKeyConstraint(['vid'], ['versions.id'], )
    )
    op.create_table('nm_user_usergroups',
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], )
    )
    op.create_table('participations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('project_id', sa.Integer(), nullable=False),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('number_of_breaks', sa.Integer(), nullable=True),
    sa.Column('internal_id', sa.String(length=40), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_participations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['project_id'], ['projects.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_participations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('password_reset_requests',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('token', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('nm_organisation_user',
    sa.Column('organisation_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['organisation_id'], ['organisations.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], ),
    sa.UniqueConstraint('user_id')
    )
    op.create_table('forms',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('review_state_id', sa.Integer(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('category', sa.Integer(), nullable=True),
    sa.Column('title', sa.String(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('definition', sa.Text(), nullable=True),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_forms_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_forms_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_project_organisation',
    sa.Column('pid', sa.Integer(), nullable=True),
    sa.Column('oid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['oid'], ['organisations.id'], ),
    sa.ForeignKeyConstraint(['pid'], ['projects.id'], )
    )
    op.create_table('actions',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('url', sa.String(), nullable=False),
    sa.Column('icon', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('bundle', sa.Boolean(), nullable=False),
    sa.Column('display', sa.String(), nullable=False),
    sa.Column('permission', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('participant_search_counter',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('count', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('nm_organisation_contacts',
    sa.Column('organisation_id', sa.Integer(), nullable=True),
    sa.Column('contact_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['contact_id'], ['contacts.id'], ),
    sa.ForeignKeyConstraint(['organisation_id'], [u'organisations.id'], )
    )
    op.create_table('nm_user_roles',
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('rid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['rid'], ['roles.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], )
    )
    op.create_table('journals',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('duration', sa.Interval(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('editor', sa.String(), nullable=True),
    sa.Column('participation_id', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_journals_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['participation_id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_journals_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_action_roles',
    sa.Column('aid', sa.Integer(), nullable=True),
    sa.Column('rid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['aid'], ['actions.id'], ),
    sa.ForeignKeyConstraint(['rid'], ['roles.id'], )
    )
    op.create_table('outputindicators',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('edu_attainment', sa.Integer(), nullable=True),
    sa.Column('lm_employment_status', sa.Integer(), nullable=True),
    sa.Column('lm_education_training', sa.Integer(), nullable=True),
    sa.Column('lm_employment_type', sa.Integer(), nullable=True),
    sa.Column('lm_longtermunemployed', sa.Integer(), nullable=True),
    sa.Column('hh_jobless', sa.Integer(), nullable=True),
    sa.Column('hh_dependentchildren', sa.Integer(), nullable=True),
    sa.Column('hh_singleparent', sa.Integer(), nullable=True),
    sa.Column('da_homeless', sa.Integer(), nullable=True),
    sa.Column('da_rural_area', sa.Integer(), nullable=True),
    sa.Column('da_disabled', sa.Integer(), nullable=True),
    sa.Column('da_other_disadvantage', sa.Integer(), nullable=True),
    sa.Column('da_migrant', sa.Integer(), nullable=True),
    sa.Column('da_foreign_background', sa.Integer(), nullable=True),
    sa.Column('da_minority', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('status', sa.Integer(), nullable=True),
    sa.Column('qe_project_module', sa.String(), nullable=True),
    sa.Column('access_path', sa.Integer(), nullable=True),
    sa.Column('access_path_others', sa.String(), nullable=True),
    sa.Column('lm_employment_supportpurchased', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_unemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_unemployement_duration', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_unemployment_type', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_lookingforwork', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_employed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_underemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_selfemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_school', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_education_enterprise', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_education_school', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_fulltime_student', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_training', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_inactive', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_school', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_school_germany', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_school_recognized', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_vocational', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_vocational_germany', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_vocational_recognized', sa.Integer(), nullable=True),
    sa.Column('work_experience_abroad', sa.Integer(), nullable=True),
    sa.Column('work_experience_germany', sa.Integer(), nullable=True),
    sa.Column('industry', sa.String(), nullable=True),
    sa.Column('hh_singleparent_depended', sa.Integer(), nullable=True),
    sa.Column('hh_employed', sa.Integer(), nullable=True),
    sa.Column('born_germany', sa.Integer(), nullable=True),
    sa.Column('moving_in', sa.Integer(), nullable=True),
    sa.Column('misc_german_nationality', sa.Integer(), nullable=True),
    sa.Column('emigrant', sa.Integer(), nullable=True),
    sa.Column('country_origin', sa.String(), nullable=True),
    sa.Column('residence_permit_status', sa.Integer(), nullable=True),
    sa.Column('residence_permit_purpose', sa.Integer(), nullable=True),
    sa.Column('integration_course', sa.Integer(), nullable=True),
    sa.Column('german_knowledge', sa.Integer(), nullable=True),
    sa.Column('da_resident', sa.Integer(), nullable=True),
    sa.Column('jobcenter_job_search', sa.Integer(), nullable=True),
    sa.Column('job_search_assistance', sa.Integer(), nullable=True),
    sa.Column('job_center_help', sa.Integer(), nullable=True),
    sa.Column('children_number', sa.Integer(), nullable=True),
    sa.Column('children_age', sa.String(), nullable=True),
    sa.Column('care_nanny', sa.Integer(), nullable=True),
    sa.Column('care_kindergarten', sa.Integer(), nullable=True),
    sa.Column('care_school', sa.Integer(), nullable=True),
    sa.Column('care_relatives', sa.Integer(), nullable=True),
    sa.Column('care_friends', sa.Integer(), nullable=True),
    sa.Column('care_own_partner', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_outputindicators_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_outputindicators_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('participant_id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('resultindicators',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('status_end_measure', sa.Integer(), nullable=True),
    sa.Column('new_job_search', sa.Integer(), nullable=True),
    sa.Column('school_job_education', sa.Integer(), nullable=True),
    sa.Column('new_qualification', sa.Integer(), nullable=True),
    sa.Column('new_job_or_self_employed', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('qualification_integration_class', sa.Integer(), nullable=True),
    sa.Column('qualification_language_course', sa.Integer(), nullable=True),
    sa.Column('qualification_misc', sa.Integer(), nullable=True),
    sa.Column('qualification_misc_text', sa.Text(), server_default='', nullable=False),
    sa.Column('change_to_si', sa.Integer(), nullable=True),
    sa.Column('success_voluntary', sa.Integer(), nullable=True),
    sa.Column('success_support_group', sa.Integer(), nullable=True),
    sa.Column('success_internship', sa.Integer(), nullable=True),
    sa.Column('success_misc', sa.Integer(), nullable=True),
    sa.Column('success_misc_text', sa.Text(), server_default='', nullable=False),
    sa.Column('project_module', sa.String(), nullable=True),
    sa.Column('children_number', sa.String(), nullable=True),
    sa.Column('children_age', sa.String(), nullable=True),
    sa.Column('care_nanny', sa.Integer(), nullable=True),
    sa.Column('care_kindergarten', sa.Integer(), nullable=True),
    sa.Column('care_school', sa.Integer(), nullable=True),
    sa.Column('care_relatives', sa.Integer(), nullable=True),
    sa.Column('care_friends', sa.Integer(), nullable=True),
    sa.Column('care_own_partner', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_resultindicators_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_resultindicators_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('participant_id'),
    sa.UniqueConstraint('uuid')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('resultindicators')
    op.drop_table('outputindicators')
    op.drop_table('nm_action_roles')
    op.drop_table('journals')
    op.drop_table('nm_user_roles')
    op.drop_table('nm_organisation_contacts')
    op.drop_table('participant_search_counter')
    op.drop_table('actions')
    op.drop_table('nm_project_organisation')
    op.drop_table('forms')
    op.drop_table('nm_organisation_user')
    op.drop_table('password_reset_requests')
    op.drop_table('participations')
    op.drop_table('nm_user_usergroups')
    op.drop_table('nm_participant_versions')
    op.drop_table('nm_beneficiary_contacts')
    op.drop_table('users')
    op.drop_table('organisations')
    op.drop_table('projects')
    op.drop_table('modules')
    op.drop_table('roles')
    op.drop_table('operations')
    op.drop_table('contacts')
    op.drop_table('participants')
    op.drop_table('beneficiarys')
    op.drop_table('usergroups')
    op.drop_table('versions')
    op.drop_table('user_settings')
    op.drop_table('profiles')
    ### end Alembic commands ###
    iter_statements(DELETES)
